local ent = ents.Derive("base")

function ent:setPos( x, y )
		self.x = x
		self.y = y
		self.fixed_y = y
end

function ent:load( x, y )
	self:setPos( x, y )
	self.image = love.graphics.newImage ( "images/badball.png" )
end
	
function ent:update(dt)
	self.y = self.fixed_y + 50*math.sin(2*love.timer.getTime()+1)
	self.x = self.x + 200*dt
	if self.x >= 516 then
		self.x = -50
		self.fixed_y = love.mouse.getY()
	end
end

function ent:draw()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.draw( self.image, self.x, self.y, 0, 1, 1, 0, 0 )
end

return ent;