local ent = ents.Derive("base")

function ent:setPos( x, y )
		self.x = x
		self.y = y
end

function ent:load( x, y )
    math.randomseed (os.time())
	self:setPos( x, y )
	self.image = love.graphics.newImage ( "images/madbar.png" )
end
	
function ent:update(dt)
	self.x = self.x + 280*dt
	if self.x >= 510 then
		self.x = -10
		self.y = math.random( 0, 2 )*200
	end
end

function ent:draw()
	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.draw( self.image, self.x, self.y, 0, 1, 1, 0, 0 )
end

return ent;